<!DOCDATE html>
  <html lang="en">

  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Task 50.10</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
      href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback" />
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css" />
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css" />
    <!-- Toastr -->
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css" />
    <!-- datatable 1.13.6 -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.6/css/dataTables.bootstrap4.min.css" />
    <!-- Ion Slider -->
    <link rel="stylesheet" href="plugins/ion-rangeslider/css/ion.rangeSlider.min.css">
    <!-- bootstrap slider -->
    <link rel="stylesheet" href="plugins/bootstrap-slider/css/bootstrap-slider.min.css" />
  </head>

  <body class="hold-transition sidebar-mini">
    <!-- Site wrapper -->
    <div class="wrapper">
      <!-- Navbar -->
      <nav class="main-header navbar navbar-expand navbar-white navbar-light">
        <!-- Left navbar links -->
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
          </li>
          <li class="nav-item d-none d-sm-inline-block">
            <a href="index3.html" class="nav-link">Home</a>
          </li>
        </ul>
      </nav>
      <!-- /.navbar -->

      <!-- Main Sidebar Container -->
      <aside class="main-sidebar sidebar-dark-primary elevation-4">
        <!-- Brand Logo -->
        <a href="index3.html" class="brand-link">
          <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
            style="opacity: .8">
          <span class="brand-text font-weight-light">Task 51.20</span>
        </a>

        <!-- Sidebar -->
        <div class="sidebar">
          <!-- Sidebar user (optional) -->
          <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="image">
              <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
            </div>
            <div class="info">
              <a href="#" class="d-block">Cuong Trinh</a>
            </div>
          </div>

          <!-- Sidebar Menu -->
          <nav class="mt-2">
            <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
              <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
              <li class="nav-item">
                <a href="#" class="nav-link active">
                  <i class="nav-icon fas fa-tachometer-alt"></i>
                  <p>
                    Quản lý Thú Cưng
                    <i class="right fas fa-angle-left"></i>
                  </p>
                </a>
              </li>

            </ul>
          </nav>
          <!-- /.sidebar-menu -->
        </div>
        <!-- /.sidebar -->
      </aside>

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <div class="container-fluid">
            <div class="row mb-2">
              <div class="col-sm-6">
                <h1>Task 51.20 - Quản lý Thú Cưng</h1>
              </div>
              <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                  <li class="breadcrumb-item"><a href="#">Home</a></li>
                  <li class="breadcrumb-item active">Task51.20</li>
                </ol>
              </div>
            </div>
          </div><!-- /.container-fluid -->
        </section>

        <!-- Main content -->
        <section class="content">
          <!--Slider-->
          <div class="col-12 col-sm-4">
            <div class="d-flex justify-content-between">
              <b>Price Filter</b>
              <div>
                $ <span id="min-price">0</span>
                <span class="seperator">-</span>
                $ <span id="max-price">100</span>
              </div>
            </div>

            <div class="slider-red">
              <input type="text" value="0, 0" class="slider form-control" data-slider-orientation="horizontal" />
            </div>
          </div>
          <!-- Vùng header-->
          <div class="container">
            <div class="text-center mt-3">
              <h2>Quản trị Thú Cưng</h2>
            </div>
            <div class="form-group">
              <button class="btn btn-success" id="btn-add-user"><i class="fa fa-plus"></i>&nbsp; New User</button>
            </div>
          </div>
          <!--User Data Table-->
          <div class="container">
            <table class="table table-bordered table-striped table-hover" id="user-table">
              <thead>
                <tr>
                  <th>ID</th>
                  <th>Type</th>
                  <th>Name</th>
                  <th>Description</th>
                  <th>Photos</th>
                  <th>Price</th>
                  <th>Promotion Price</th>
                  <th>Discount</th>
                  <th>Created At</th>
                  <th>Updated At</th>
                  <th>Action</th>
                </tr>
              </thead>
            </table>
          </div>
          <!--Vùng Modal-->

          <!--Create User modal-->
          <div>
            <div id="create-user-modal" class="modal fade" tabindex="-1">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">Create new pet</h5>
                    <button class="close" data-dismiss="modal">&times;</button>
                  </div>
                  <div class="modal-body">
                    <form>
                      <div class="row form-group">
                        <label for="select-create-type" class="col-form-label col-sm-4">Type</label>
                        <div class="col-sm-8">
                          <select id="select-create-type" class="form-control">
                            <option value="Dog">Dog</option>
                            <option value="Rabbit">Rabbit</option>
                            <option value="Cat">Cat</option>
                            <option value="Bird">Bird</option>
                            <option value="Bird">Fish</option>
                          </select>
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-firstname">Name</label>
                        </div>
                        <div class="col-sm-8">
                          <input DATE="text" id="input-create-name" name="name" placeholder="Firstname"
                            class="form-control">
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-description">Description</label>
                        </div>
                        <div class="col-sm-8">
                          <input DATE="text" id="input-create-description" name="description" placeholder="description"
                            class="form-control">
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-image">ImageUrl</label>
                        </div>
                        <div class="col-sm-8">
                          <input DATE="text" id="input-create-image" name="image" placeholder="imageUrl"
                            class="form-control">
                        </div>
                      </div>
                      <div class="row form-group">
                        <label class="col-form-label col-sm-4" for="input-create-price">Price</label>
                        <div class="col-sm-8">
                          <input DATE="text" id="input-create-price" name="price" placeholder="price"
                            class="form-control">
                        </div>
                      </div>
                      <div class="row form-group">
                        <label class="col-form-label col-sm-4" for="input-create-promotion-price">Promotion
                          Price</label>
                        <div class="col-sm-8">
                          <input DATE="text" id="input-create-promotion-price" name="promotionPrice"
                            placeholder="Promotion price" class="form-control">
                        </div>
                      </div>
                      <div class="row form-group">
                        <label class="col-form-label col-sm-4" for="input-create-discount">Discount</label>
                        <div class="col-sm-8">
                          <input DATE="text" id="input-create-discount" name="discount" placeholder="discount"
                            class="form-control">
                        </div>
                      </div>
                  </div>
                  </form>
                </div>
                <div class="modal-footer">
                  <button class="btn btn-primary" id="btn-create-user">Insert Pet</button>
                  <button class="btn btn-secondary" id="btn-create-cancel" data-dismiss="modal">Cancel</button>
                </div>
              </div>
            </div>
          </div>
      </div>

      <!--Update User modal-->
      <div>
        <div id="update-user-modal" class="modal fade" tabindex="-1">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="h5-modal-title">Chi tiết Pet</h5>
                <button class="close" data-dismiss="modal">&times;</button>
              </div>
              <div class="modal-body">
                <form>
                  <div class="row form-group">
                    <label for="select-update-type" class="col-form-label col-sm-4">Type</label>
                    <div class="col-sm-8">
                      <select id="select-update-type" class="form-control">
                        <option value="Dog">Dog</option>
                        <option value="Rabbit">Rabbit</option>
                        <option value="Cat">Cat</option>
                        <option value="Bird">Bird</option>
                        <option value="Bird">Fish</option>
                      </select>
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-sm-4">
                      <label for="input-update-name">Name</label>
                    </div>
                    <div class="col-sm-8">
                      <input DATE="text" id="input-update-name" name="name" placeholder="Name" class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-sm-4">
                      <label for="input-update-description">Description</label>
                    </div>
                    <div class="col-sm-8">
                      <input DATE="text" id="input-update-description" name="description" placeholder="description"
                        class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <div class="col-sm-4">
                      <label for="input-update-image">ImageUrl</label>
                    </div>
                    <div class="col-sm-8">
                      <input DATE="text" id="input-update-image" name="image" placeholder="ImageUrl"
                        class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <label class="col-form-label col-sm-4" for="input-update-price">Price</label>
                    <div class="col-sm-8">
                      <input DATE="text" id="input-update-price" name="price" placeholder="price" class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <label class="col-form-label col-sm-4" for="input-update-promotion-price">Promotion Price</label>
                    <div class="col-sm-8">
                      <input DATE="text" id="input-update-promotion-price" name="promotionPrice"
                        placeholder="Promotion Price" class="form-control">
                    </div>
                  </div>
                  <div class="row form-group">
                    <label class="col-form-label col-sm-4" for="input-update-discount">Discount</label>
                    <div class="col-sm-8">
                      <input DATE="text" id="input-update-discount" name="discount" placeholder="discount"
                        class="form-control">
                    </div>
                  </div>
                </form>
              </div>
              <div class="modal-footer">
                <button class="btn btn-primary" id="btn-update-user">Update Pet</button>
                <button class="btn btn-secondary" id="btn-update-cancel" data-dismiss="modal">Cancel</button>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- Delete confirm modal -->
      <div>
        <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="h5-modal-title">Pet Delete Confirmation</h5>
                <button class="close" data-dismiss="modal">&times;</button>
              </div>
              <div class="modal-body">
                <label>Bạn có chắc chắn muốn xóa thú cưng này không?</label>
              </div>
              <div class="modal-footer">
                <button class="btn btn-danger" id="btn-confirm-delete-user">Confirm</button>
                <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
              </div>
            </div>
          </div>
        </div>
      </div>

      </section>
      <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
      <!-- Control sidebar content goes here -->
    </aside>
    <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- AdminLTE -->
    <script src="dist/js/adminlte.js"></script>
    <!-- Toastr -->
    <script src="plugins/toastr/toastr.min.js"></script>
    <!-- datatable 1.13.6 -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.6/css/dataTables.bootstrap4.min.css" />
    <script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.13.6/js/dataTables.bootstrap4.min.js"></script>
    <!-- Bootstrap slider -->
    <script src="plugins/bootstrap-slider/bootstrap-slider.min.js"></script>
    <!-- Ion Slider -->
    <script src="plugins/ion-rangeslider/js/ion.rangeSlider.min.js"></script>

    <script>
      "use strict";
      /*** REGION 1 - Global Variables */
      const gBASE_URL = "https://pucci-mart.onrender.com/api";
      //Slider
      let priceSlider = $(".slider").slider({});
      //Biến toàn cục để lưu trữ id user đang được update or delete. Mặc định = 0;
      var gPetId = 0;

      // Biến mảng hằng số chứa danh sách tên các thuộc tính
      const gUSER_COLS = ["id", "type", "name", "description", "imageUrl", "price", "promotionPrice", "discount", "createdAt", "updatedAt", "action"];

      //Biến mảng toàn cục định nghĩa chỉ số các cột tương ứng
      const gUSER_ID_COL = 0;
      const gUSER_TYPE_COL = 1;
      const gUSER_NAME_COL = 2;
      const gUSER_DESCRIPTION_COL = 3;
      const gUSER_IMAGE_URL_COL = 4;
      const gUSER_PRICE_COL = 5;
      const gUSER_PROMOTION_PRICE_COL = 6;
      const gUSER_DISCOUNT_COL = 7;
      const gUSER_CREATED_AT_COL = 8;
      const gUSER_UPDATED_AT_COL = 9;
      const gUSER_ACTION_COL = 10;

      // Khai báo DataTable & Mapping column
      var gUserTable = $("#user-table").DataTable({
        columns: [
          { data: gUSER_COLS[gUSER_ID_COL] },
          { data: gUSER_COLS[gUSER_TYPE_COL] },
          { data: gUSER_COLS[gUSER_NAME_COL] },
          { data: gUSER_COLS[gUSER_DESCRIPTION_COL] },
          { data: gUSER_COLS[gUSER_IMAGE_URL_COL] },
          { data: gUSER_COLS[gUSER_PRICE_COL] },
          { data: gUSER_COLS[gUSER_PROMOTION_PRICE_COL] },
          { data: gUSER_COLS[gUSER_DISCOUNT_COL] },
          { data: gUSER_COLS[gUSER_CREATED_AT_COL] },
          { data: gUSER_COLS[gUSER_UPDATED_AT_COL] },
          { data: gUSER_COLS[gUSER_ACTION_COL] }
        ],
        columnDefs: [
          {// định nghĩa lại cột ImageUrl
            targets: gUSER_IMAGE_URL_COL,
            render: function (data) {
              return `<img src="${data}" width="100px" height="100px">`;
            }
          },
          { // định nghĩa các cột action
            targets: gUSER_ACTION_COL,
            defaultContent: `
                    <img class="edit-user" src="https://cdn0.iconfinder.com/data/icons/glyphpack/45/edit-alt-512.png" style="width: 20px;cursor:pointer;">
                    <img class="delete-user" src="https://cdn4.iconfinder.com/data/icons/complete-common-version-6-4/1024/trash-512.png" style="width: 20px;cursor:pointer;">
                `
          }
        ]
      });


      /*** REGION 2 - Vùng gán/  thực thi sự kiện cho các element */
      $(document).ready(function () {
        onPageLoading();
        //price slider
        priceSlider.on("slideStop", function (event) {
          //create query parameters
          let vQueryParams = new URLSearchParams({
            priceMin: event.value[0],
            priceMax: event.value[1],
          });
          getFilteredPets(vQueryParams);
        });
      });
      // gán sự kiện Create - them 1 user
      $("#btn-add-user").on("click", function () {
        onBtnAddNewUserClick();
      });
      // gán sự kiện Update - sửa 1 user
      $("#user-table").on("click", ".edit-user", function () {
        onBtnEditUserClick(this);
      });
      // gán sự kiện Delete - xoa 1 user
      $("#user-table").on("click", ".delete-user", function () {
        onBtnDeleteUserClick(this);
      });

      // gán sự kiện Inser User - them 1 user tren modal
      $("#btn-create-user").on("click", function () {
        onBtnCreateUserClick();
      });

      // gán sự kiện cho nút Update User (trên modal)
      $("#btn-update-user").on("click", function () {
        onBtnUpdateUserClick();
      });

      // gán sự kiện cho nút Confirm Delete User (trên modal)
      $("#btn-confirm-delete-user").on("click", function () {
        onBtnConfirmDeleteUserClick();
      });


      /*** REGION 3 - Event handlers */
      function onPageLoading() {
        getAllUsers();
      }
      // Hàm xử lý sự kiện khi New User được click
      function onBtnAddNewUserClick() {
        //hiển thị modal trắng lên
        $("#create-user-modal").modal("show");
      }
      // Hàm xử lý sự kiện khi Insert User được click
      function onBtnCreateUserClick() {
        //khai báo đối tượng chứa user data
        var vObjectRequestData = {
          type: "",
          name: "",
          description: "",
          imageUrl: "",
          price: "",
          promotionPrice: "",
          discount: "",
        };
        //B1: thu thap du lieu
        getInsertUserData(vObjectRequestData);
        //B2: Validate Insert
        var vIsValidate = validateUserData(vObjectRequestData);
        //ghi ra console giá trị trả ra của hàm validateUserData
        console.log(vIsValidate);
        //B3: Insert User
        $.ajax({
          url: gBASE_URL + "/pets",
          DATE: "POST",
          contentDATE: "application/json;charset=UTF-8",
          data: JSON.stringify(vObjectRequestData),
          success: function (paramRes) {
            //Ghi response ra console
            console.log(paramRes);
            //B4: front-end 
            handleInsertUserSuccess();
          },
          error: function (paramErr) {
            console.log(paramErr.status)
          }
        });
      }
      // Hàm xử lý sự kiện khi icon edit user trên bảng được click
      function onBtnEditUserClick(paramBtnEdit) {
        //lưu thông tin userId đang được edit vào biến toàn cục
        gPetId = getUserIdFromButton(paramBtnEdit);
        console.log("Id = " + gPetId);
        //hiển thị modal trắng lên
        $("#update-user-modal").modal("show");
        // load dữ liệu vào các trường dữ liệu trong modal
        getUserById(gPetId);
      }
      // hàm xử lý sự kiện update user modal click
      function onBtnUpdateUserClick() {
        // khai báo đối tượng chứa user data
        var vUserObj = {
          type: "",
          name: "",
          description: "",
          imageUrl: "",
          price: "",
          promotionPrice: "",
          discount: "",
        };
        // B1: Thu thập dữ liệu
        getUpdateUserData(vUserObj);
        // B2: Validate update
        var vIsUserValidate = validateUserData(vUserObj);
        if (vIsUserValidate) {
          // B3: update user
          $.ajax({
            url: gBASE_URL + "/pets/" + gPetId,
            type: "PUT",
            contentType: "application/json;charset=UTF-8",
            data: JSON.stringify(vUserObj),
            success: function (paramRes) {
              // B4: xử lý front-end
              handleUpdateUserSuccess();
            },
            error: function (paramErr) {
              console.log(paramErr.status);
            }
          });
        }
      }

      // Hàm xử lý sự kiện khi icon delete user trên bảng được click
      function onBtnDeleteUserClick(paramBtnDelete) {
        //lưu thông tin userId đang được xoa vào biến toàn cục
        gPetId = getUserIdFromButton(paramBtnDelete);
        console.log("Id = " + gPetId);
        // hiển thị modal confirm delete lên
        $("#delete-confirm-modal").modal("show");
      }
      // // Hàm xử lý sự kiện khi nút confirm delete user trên modal được click
      function onBtnConfirmDeleteUserClick() {
        $.ajax({
          url: gBASE_URL + "/pets/" + gPetId,
          type: "DELETE",
          success: function (paramRes) {
            // B4: xử lý front-end
            handleDeleteUserSuccess();
          },
          error: function (paramErr) {
            console.log(paramErr.status);
          }
        });
      }
      /*** REGION 4 - Common Functions */
      //hàm gọi api để lấy danh sách all user đăng ký
      function getAllUsers() {
        $.ajax({
          url: gBASE_URL + "/pets",
          type: "GET",
          success: function (paramUsers) {
            // Ghi Response ra console
            console.log(paramUsers);
            //filter price
            let maxPrice = paramUsers.rows.reduce((prev, current) =>
              prev && prev.price > current.price ? prev : current
            ).price;
            let minPrice = paramUsers.rows.reduce((prev, current) =>
              prev && prev.price < current.price ? prev : current
            ).price;

            $("#min-price").html(minPrice);
            $("#max-price").html(maxPrice);
            priceSlider.slider({
              range: true,
              min: minPrice,
              max: maxPrice,
              value: [minPrice, maxPrice],
              step: 80,
            });
            priceSlider.slider("refresh");

            loadDataToUserTable(paramUsers.rows);
          },
          error: function (paramErr) {
            console.log(paramErr.status);
          }
        });
      }

      /** load users to Datatable
      * in: users array
      * out: user table has data
      */
      function loadDataToUserTable(paramUsers) {
        gUserTable.clear();
        gUserTable.rows.add(paramUsers);
        gUserTable.draw();
      }

      //get filtered Pets
      function getFilteredPets(paramQuery) {
        $.ajax({
          url: gBASE_URL + "/pets" + "?" + paramQuery.toString(),
          type: "GET",
          success: function (res) {
            loadDataToUserTable(res.rows);
          },
          error: function (err) {
            console.log(err);
          },
        });
      }
      // hàm get user by id
      function getUserById(paramUserId) {
        $.ajax({
          url: gBASE_URL + "/pets/" + paramUserId,
          DATE: "GET",
          success: function (paramUser) {
            showUserDataToModal(paramUser);
          },
          error: function (paramErr) {
            console.log(paramErr.status);
          }
        });
      }

      // hàm show user obj lên modal
      function showUserDataToModal(paramUser) {
        $("#select-update-type").val(paramUser.type);
        $("#input-update-name").val(paramUser.name);
        $("#input-update-description").val(paramUser.description);
        $("#input-update-image").val(paramUser.imageUrl);
        $("#input-update-price").val(paramUser.price);
        $("#input-update-promotion-price").val(paramUser.promotionPrice);
        $("#input-update-discount").val(paramUser.discount);
      }

      // hàm dựa vào button detail (edit or delete) xác định được id user
      function getUserIdFromButton(paramButton) {
        var vTableRow = $(paramButton).parents("tr");
        var vUserRowData = gUserTable.row(vTableRow).data();
        return vUserRowData.id;
      }

      //hàm thu thâpj dữ liệu để create user
      function getInsertUserData(paramUserObj) {
        paramUserObj.type = $("#select-create-type").val();
        paramUserObj.name = $("#input-create-name").val().trim();
        paramUserObj.description = $("#input-create-description").val().trim();
        paramUserObj.imageUrl = $("#input-create-image").val().trim();
        paramUserObj.price = $("#input-create-price").val().trim();
        paramUserObj.promotionPrice = $("#input-create-promotion-price").val().trim();
        paramUserObj.discount = $("#input-create-discount").val().trim();
      }

      // hàm validate data
      function validateUserData(paramUserObj) {
        if (paramUserObj.name === "") {
          alert("Enter Name!");
          return false;
        }

        if (paramUserObj.description === "") {
          alert("Enter Description!");
          return false;
        }

        if (paramUserObj.price === "") {
          alert("Enter Price!");
          return false;
        }


        if (paramUserObj.promotionPrice === "") {
          alert("Enter Promotion Price!");
          return false;
        }


        if (paramUserObj.discount === "") {
          alert("Enter Discount!");
          return false;
        }
        return true;
      }

      // xử lý front-end khi thêm user thành công
      //Khi người dùng ấn OK trên cửa sổ thông báo Alert: xóa trắng dữ liệu trên modal, tắt Modal đi và load lại bảng danh sách users
      function handleInsertUserSuccess() {
        alert("Add Pet successful!");
        getAllUsers();
        resertCreateUserForm();
        $("#create-user-modal").modal("hide");
      }

      //hàm xóa trắng form create user
      function resertCreateUserForm() {
        $("#input-create-name").val("");
        $("#input-create-description").val("");
        $("#input-create-image").val("");
        $("#input-create-price").val("");
        $("#input-create-promotion-price").val("");
        $("#input-create-discount").val("");
      }

      // hàm thu thập dữ liệu để update user
      function getUpdateUserData(paramUserObj) {
        paramUserObj.type = $("#select-update-type").val();
        paramUserObj.name = $("#input-update-name").val().trim();
        paramUserObj.description = $("#input-update-description").val().trim();
        paramUserObj.imageUrl = $("#input-update-image").val().trim();
        paramUserObj.price = $("#input-update-price").val().trim();
        paramUserObj.promotionPrice = $("#input-update-promotion-price").val().trim();
        paramUserObj.discount = $("#input-update-discount").val().trim();
      }

      // hàm xử lý hiển thị front-end khi sửa user thành công
      function handleUpdateUserSuccess() {
        alert("Sửa Pet thành công!");
        getAllUsers();
        resertUpdateUserForm();
        $("#update-user-modal").modal("hide");
      }

      // hàm xóa trắng form update user
      function resertUpdateUserForm() {
        $("#input-update-name").val("");
        $("#input-update-description").val("");
        $("#input-update-image").val("");
        $("#input-update-price").val("");
        $("#input-update-promotion-price").val("");
        $("#input-update-discount").val("");
      }

      // hàm xử lý hiển thị front-end khi xoa user thành công
      function handleDeleteUserSuccess() {
        alert("Delete Pet thành công!");
        getAllUsers();
        $("#delete-user-modal").modal("hide");
      }
    </script>
  </body>

  </html>